## ros-noetic-rosbag-fancy 1.0.1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0)
project(rosbag_fancy)

find_package(catkin REQUIRED COMPONENTS
	rosbag_fancy_msgs
	rosbag_storage
	roscpp
	rosfmt
	roslz4
	std_srvs
	topic_tools
	tf2_ros
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

find_package(Curses REQUIRED)
include_directories(${CURSES_INCLUDE_DIRS})

find_package(BZip2 REQUIRED)

include_directories(contrib/doctest)

set(CMAKE_CXX_STANDARD 17)

add_executable(rosbag_fancy
	src/bag_reader.cpp
	src/bag_view.cpp
	src/bag_writer.cpp
	src/cmd_info.cpp
	src/cmd_play.cpp
	src/cmd_record.cpp
	src/cmd_test.cpp
	src/doctest.cpp
	src/main.cpp
	src/mem_str.cpp
	src/message_queue.cpp
	src/terminal.cpp
	src/tf2_scanner.cpp
	src/topic_manager.cpp
	src/topic_subscriber.cpp
	src/ui.cpp
)
target_link_libraries(rosbag_fancy
	${catkin_LIBRARIES}
	${CURSES_LIBRARIES}
	BZip2::BZip2
)

# Tools
add_executable(tf2_republisher
	tools/tf2_republisher.cpp
)
target_link_libraries(tf2_republisher
	${catkin_LIBRARIES}
)

# Shell helper
# Version 1.10 (increment this comment to trigger a CMake update)
catkin_add_env_hooks(50-rosbag_fancy
	SHELLS bash
	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks
)

install(TARGETS rosbag_fancy tf2_republisher
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(TARGETS rosbag_fancy
	RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rosbag-fancy (1.0.1-1focal) focal; urgency=high

  * add missing std_srvs dependency
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 10 Jul 2023 22:00:00 -0000

ros-noetic-rosbag-fancy (1.0.0-1focal) focal; urgency=high

  * play: decompression support (PR #18)
  * BagView & TF2 scanner (PR #17)
  * CI & unit tests
  * play: support for multiple bag files
  * play: ui: show current date/time
  * play: support for --clock
  * ui: remove sub column
  * play: faster startup, don't crash if select() is interrupted
  * play command
  * record: wait for ros::Time to become valid
    This fixes recording with use_sim_time=true (Issue #16)
  * tui: fix count display
  * tui: display byte & message counts correctly
  * GUI/TUI: display messages in bag, not total messages
  * rosbag_fancy: properly initialize compression
  * split into separate packages (main, _msgs, and _gui)
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-rosbag-fancy (0.2.0-1focal) focal; urgency=high

  * bag_writer: fix uninitialized read in run() during shutdown
    This happens in certain cases during shutdown, where msg is not set.
  * bag_writer: make sure we don't overwrite bag files with same stamp
  * ui: move paused/recording indicator to bottom
  * bag_writer: special handling for tf2 static transforms on bag reopen
  * add --paused flag to start in paused mode
  * UI improvements for start/stop
  * start/stop service calls
  * add tf2_republisher tool (helpful for playback)
  * topic_manager: compile fix for clang
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 15 Jun 2020 22:00:00 -0000

ros-noetic-rosbag-fancy (0.1.1-1focal) focal; urgency=high

  * Compatibility with ROS Kinetic (PR: #7)
    also helps with Debian Stretch
  * Contributors: Davide Faconti, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-noetic-rosbag-fancy (0.1.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Jan Quenzel, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 17 Oct 2019 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rosbag-fancy
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libbz2-dev, libncurses5-dev, ros-noetic-catkin, ros-noetic-rosbag-fancy-msgs, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-rosfmt, ros-noetic-roslz4, ros-noetic-std-srvs, ros-noetic-tf2-ros, ros-noetic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rosbag-fancy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libbz2-dev, libncurses5-dev, ros-noetic-rosbag-fancy-msgs, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-rosfmt, ros-noetic-roslz4, ros-noetic-std-srvs, ros-noetic-tf2-ros, ros-noetic-topic-tools
Description: rosbag with terminal UI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosbag-fancy//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
